From 1a1ae499f4291e349db0460584fa90d5bf657778 Mon Sep 17 00:00:00 2001
From: Amir Mohammadi <amir.mohammadi@idiap.ch>
Date: Mon, 29 Aug 2016 12:16:51 +0200
Subject: [PATCH] Update from scratch script to pin versions.

---
 bootstrap-conda.sh |  2 +-
 from-list.sh       |  6 -----
 from-scratch.sh    | 64 ++++++++++++++++++++++++----------------------
 3 files changed, 34 insertions(+), 38 deletions(-)

diff --git a/bootstrap-conda.sh b/bootstrap-conda.sh
index 539eb10..80d6fb0 100755
--- a/bootstrap-conda.sh
+++ b/bootstrap-conda.sh
@@ -32,5 +32,5 @@ if [ ! -x ${CONDA} ]; then
   ${CONDA} config --add channels conda-forge
 fi
 
-echo "[>>] Updating root environment..."
+echo "[>>] Updating conda in the root environment..."
 ${CONDA} update --yes -n root conda
diff --git a/from-list.sh b/from-list.sh
index dc8bf62..718b552 100755
--- a/from-list.sh
+++ b/from-list.sh
@@ -12,12 +12,6 @@ NAME=$2
 FILE=$3
 CONDA=${BASEDIR}/bin/conda
 
-if [ "$(uname)" == "Darwin" ]; then
-  ARCH="MacOSX-x86_64"
-else
-  ARCH="Linux-x86_64"
-fi
-
 # Re-create the environment
 if [ ! -d ${BASEDIR}/envs/${NAME} ]; then
   ${CONDA} create --yes -n ${NAME} --file ${FILE}
diff --git a/from-scratch.sh b/from-scratch.sh
index 6bf8a60..1ab26a4 100755
--- a/from-scratch.sh
+++ b/from-scratch.sh
@@ -1,6 +1,8 @@
 #!/usr/bin/env bash
 # Wed 17 Aug 2016 13:50:29 CEST
 
+set -e
+
 if [ "${#}" != 3 ]; then
   echo "usage: `basename $0` <basedir> <name> <python-version>"
   echo "example: `basename $0` /opt/conda bob-devel-py34 3.4"
@@ -11,49 +13,49 @@ BASEDIR=$1
 NAME=$2
 PYTHON_VERSION=$3
 CONDA=${BASEDIR}/bin/conda
-MINICONDA=${HOME}/Downloads/miniconda.sh
 
 if [ ! -d ${BASEDIR}/envs/${NAME} ]; then
   echo "[>>] Creating environment ${NAME} for python ${PYTHON_VERSION}..."
-  ${CONDA} create --yes -n ${NAME} python=${PYTHON_VERSION}
+  ${CONDA} create --yes -n ${NAME} --override-channels --channel defaults python=${PYTHON_VERSION}
 fi
 
 # For a complete list of dependencies, please read:
 # https://gitlab.idiap.ch/bob/bob/wikis/Dependencies
 echo "[>>] Installing Bob dependencies on ${NAME}..."
-${CONDA} install --yes -n ${NAME} \
+${CONDA} install --yes -n ${NAME} --override-channels -c defaults \
   nomkl \
-  boost \
   cmake \
-  coverage \
-  sphinx \
-  sphinx_rtd_theme \
-  cython \
+  coverage=4.2 \
+  sphinx=1.4.1 \
+  sphinx_rtd_theme=0.1.9 \
+  cython=0.24 \
   docopt \
-  ffmpeg \
-  giflib \
-  hdf5 \
-  ipdb \
-  ipython \
-  jpeg \
-  libblitz \
-  libmatio \
-  libpng \
-  libsvm \
-  libtiff \
-  matplotlib \
-  nose \
-  numexpr \
-  numpy \
-  opencv \
-  pillow \
+  hdf5=1.8.17 \
+  ipython=4.2.0 \
+  jpeg=8d \
+  libpng=1.6.22 \
+  libtiff=4.0.6 \
+  matplotlib=1.5.1 \
+  nose=1.3.7 \
+  numexpr=2.6.0 \
+  numpy=1.11.1 \
+  pillow=3.2.0 \
   pkg-config \
-  psutil \
-  scikit-learn \
-  scipy \
-  sox \
-  sqlalchemy \
-  vlfeat
+  psutil=4.3.0 \
+  scikit-learn=0.17.1 \
+  scipy=0.17.1 \
+  sqlalchemy=1.0.13
+
+${CONDA} install --yes -n ${NAME} --override-channels -c defaults -c conda-forge \
+  boost=1.61.0 \
+  ffmpeg=2.8.6 \
+  giflib=5.1.2 \
+  ipdb \
+  libblitz=0.10 \
+  libmatio=1.5.6 \
+  libsvm=3.21 \
+  sox=14.4.2 \
+  vlfeat=0.9.20
 
 echo "[>>] Bye!"
 exit 0
-- 
GitLab